## boolector 1.5.118.6b56be4.121013

=== examples/Makefile ===
all:
	 for m in `find * -name makefile`; do d=`dirname $$m`; make -C $$d all; done
clean:
	 for m in `find * -name makefile`; do d=`dirname $$m`; make -C $$d clean; done

## boolector 1.4.ffc2089.100608

=== debian/changelog ===
boolector (1.4.ffc2089.100608-1) unstable; urgency=low

  * Initial release (Closes: #584542)

 -- Michael Tautschnig <mt@debian.org>  Wed, 09 Jun 2010 00:16:01 +0200

=== debian/control ===
Source: boolector
Section: science
Priority: extra
Maintainer: Michael Tautschnig <mt@debian.org>
Build-Depends: debhelper (>= 5), picosat
Standards-Version: 3.8.4
Homepage: http://fmv.jku.at/boolector/

Package: boolector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SMT solver for bit-vectors and arrays
 Boolector is an efficient SMT solver for the quantifier-free theory of
 bit-vectors in combination with the quantifier-free extensional theory of
 arrays.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# override CFLAGS for even higher optimization
CFLAGS = 
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	OPTFLAGS = -g
else
	OPTFLAGS = -O
endif

makefile: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure

build: build-stamp

build-stamp:  makefile
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -e makefile ] || $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/picosat.


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/boolector.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## boolector 1.5.118.6b56be4.121013

=== debian/changelog ===
boolector (1.5.118.6b56be4.121013-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:15:32 +0000

boolector (1.5.118.6b56be4.121013-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.9.3 (no changes)

 -- Michael Tautschnig <mt@debian.org>  Tue, 16 Oct 2012 13:01:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: boolector
 Section: science
 Priority: extra
-Maintainer: Michael Tautschnig <mt@debian.org>
-Build-Depends: debhelper (>= 5), picosat
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Tautschnig <mt@debian.org>
+Build-Depends: debhelper (>= 5)
+Standards-Version: 3.9.3
 Homepage: http://fmv.jku.at/boolector/
 
 Package: boolector

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,11 @@
 	OPTFLAGS = -O
 endif
 
-makefile: configure
+makefile: configure lingeling/configure
 	dh_testdir
 	# Add here commands to configure the package.
+	cd lingeling ; ./configure
+	$(MAKE) -C lingeling
 	./configure
 
 build: build-stamp

=== debian/watch ===
version=3
http://fmv.jku.at/boolector/boolector-(.*)-(.*)-(.*)\.tar\.gz

## boolector 3.2.4

=== CMakeLists.txt ===
# Boolector: Satisfiablity Modulo Theories (SMT) solver.
#
# Copyright (C) 2007-2021 by the authors listed in the AUTHORS file.
#
# This file is part of Boolector.
# See COPYING for more information on using this software.
#
cmake_minimum_required(VERSION 3.3)

#-----------------------------------------------------------------------------#

project(boolector)
set(VERSION "3.2.4")
string(TIMESTAMP TIME)

#-----------------------------------------------------------------------------#

set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
list(APPEND CMAKE_PREFIX_PATH "${PROJECT_SOURCE_DIR}/deps/install")

#-----------------------------------------------------------------------------#

include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)

macro(add_c_flag flag)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${flag}")
  message(STATUS "Configuring with C flag '${flag}'")
endmacro()

macro(add_cxx_flag flag)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flag}")
  message(STATUS "Configuring with CXX flag '${flag}'")
endmacro()

macro(add_c_cxx_flag flag)
  add_c_flag(${flag})
  add_cxx_flag(${flag})
endmacro()

macro(add_check_c_flag flag)
  string(REGEX REPLACE "[-=]" "_" flagname ${flag})
  check_c_compiler_flag("${flag}" HAVE_FLAG${flagname})
  if(HAVE_FLAG${flagname})
    add_c_flag(${flag})
  endif()
endmacro()

macro(add_check_cxx_flag flag)
  string(REGEX REPLACE "[-=]" "_" flagname ${flag})
  check_cxx_compiler_flag("${flag}" HAVE_FLAG${flagname})
  if(HAVE_FLAG${flagname})
    add_cxx_flag(${flag})
  endif()
endmacro()

macro(add_check_c_cxx_flag flag)
  add_check_c_flag(${flag})
  add_check_cxx_flag(${flag})
endmacro()

macro(add_required_cxx_flag flag)
  string(REGEX REPLACE "[-=]" "_" flagnamename ${flag})
  check_cxx_compiler_flag("${flag}" HAVE_FLAG${flagname})
  if (NOT HAVE_FLAG${flagname})
    message(FATAL_ERROR "Required compiler flag ${flag} not supported")
  endif()
  add_cxx_flag(${flag})
endmacro()

macro(add_required_c_flag flag)
  string(REGEX REPLACE "[-=]" "_" flagname ${flag})
  check_c_compiler_flag("${flag}" HAVE_FLAG${flagname})
  if (NOT HAVE_FLAG${flagname})
    message(FATAL_ERROR "Required compiler flag ${flag} not supported")
  endif()
  add_c_flag(${flag})
endmacro()

macro(add_required_c_cxx_flag flag)
  add_required_c_flag(${flag})
  add_required_cxx_flag(${flag})
endmacro()

# 3-valued option IGNORE/OFF/ON
macro(option3vl var description)
  set(${var} IGNORE CACHE STRING "${description}")
  # Provide drop down menu options in cmake-gui
  set_property(CACHE ${var} PROPERTY STRINGS IGNORE ON OFF)
endmacro()

# Set option only if it still has initial value IGNORE (do not overwrite user
# configurations)
macro(set_option var value)
  if(${var} STREQUAL "IGNORE")
    set(${var} ${value})
  endif()
endmacro()

#-----------------------------------------------------------------------------#

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
message(STATUS "LIB directory is '${CMAKE_BINARY_DIR}/lib'")
message(STATUS "BIN directory is '${CMAKE_BINARY_DIR}/bin'")

#-----------------------------------------------------------------------------#

option3vl(ASAN       "Compile with ASAN support")
option3vl(UBSAN      "Compile with UBSan support")
option3vl(CHECK      "Enable assertions even for optimized compilation")
option3vl(GCOV       "Compile with coverage support")
option3vl(GPROF      "Compile with profiling support")
option3vl(LOG        "Compile with logging support (default for Debug builds)")
option3vl(PYTHON     "Build Python API")
option3vl(TIME_STATS "Compile with time statistics")
option3vl(TESTING    "Configure unit and regression testing")

option3vl(USE_CADICAL    "Use and link with CaDiCaL")
option3vl(USE_CMS        "Use and link with CryptoMiniSat")
option3vl(USE_LINGELING  "Use and link with Lingeling (default)")
option3vl(USE_MINISAT    "Use and link with MiniSat")
option3vl(USE_PICOSAT    "Use and link with PicoSAT")

option(ONLY_CADICAL   "Only use CaDiCaL" OFF)
option(ONLY_CMS       "Only use CryptoMiniSat" OFF)
option(ONLY_LINGELING "Only use Lingeling" OFF)
option(ONLY_MINISAT   "Only use MiniSat" OFF)
option(ONLY_PICOSAT   "Only use PicoSAT" OFF)
option(USE_PYTHON2    "Prefer Python 2.7" )
option(USE_PYTHON3    "Prefer Python 3" )
option(USE_GMP        "Use GMP for bit-vector implementation" OFF)

#-----------------------------------------------------------------------------#

# Automatically build shared libraries if Python bindings are enabled.
if(PYTHON)
  if(USE_PYTHON2)
    find_package(PythonInterp 2.7 REQUIRED)
  elseif(USE_PYTHON3)
    find_package(PythonInterp 3 REQUIRED)
  else()
    find_package(PythonInterp REQUIRED)
  endif()
  # Explicitly check for a compatible version of Python libs.
  find_package(PythonLibs
    ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}.${PYTHON_VERSION_PATCH}
    REQUIRED)

  # Produce a python module that only links against system libraries. SAT
  # solvers and libboolector should be included in the module itself.
  if(NOT BUILD_SHARED_LIBS)
    add_check_c_cxx_flag("-fPIC")
    # Disable MiniSat since the static library is not compiled with -fPIC by
    # default.
    message(STATUS "Disabling MiniSat for static Python builds. "
                   "Use --shared if you need MiniSat.")
    set_option(USE_MINISAT OFF)
  endif()
endif()

if(ASAN)
  # -fsanitize=address requires CMAKE_REQUIRED_FLAGS to be explicitely set,
  # otherwise the -fsanitize=address check will fail while linking.
  set(CMAKE_REQUIRED_FLAGS -fsanitize=address)
  add_required_c_cxx_flag("-fsanitize=address")
  unset(CMAKE_REQUIRED_FLAGS)
  add_check_c_cxx_flag("-fno-omit-frame-pointer")
  add_required_c_cxx_flag("-fsanitize-recover=address")
  set(BUILD_SHARED_LIBS ON)
endif()

if(UBSAN)
  add_required_c_cxx_flag("-fsanitize=undefined")
  set(BUILD_SHARED_LIBS ON)
endif()

if(NOT BUILD_SHARED_LIBS)
  set(CMAKE_FIND_LIBRARY_SUFFIXES .a)
endif()

#-----------------------------------------------------------------------------#
# Default values for 3-valued options

set_option(USE_CADICAL ON)
set_option(USE_CMS ON)
set_option(USE_LINGELING ON)
set_option(USE_MINISAT ON)
set_option(USE_PICOSAT ON)

#-----------------------------------------------------------------------------#

# Note: Do not set these flags the cmake way as we need them for generating
#       btorconfig.h and they are else not yet added to CMAKE_C(XX)_FLAGS at
#       file generation time (configure_file).
add_required_c_flag("-std=gnu99")
add_required_cxx_flag("-std=gnu++11")

add_check_c_cxx_flag("-W")
add_check_c_cxx_flag("-Wall")
add_check_c_cxx_flag("-Wextra")
add_check_c_cxx_flag("-Wredundant-decls")

foreach(flag ${FLAGS})
  add_required_c_cxx_flag("${flag}")
endforeach()

if(IS_WINDOWS_BUILD)
  add_definitions("-DBTOR_WINDOWS_BUILD")
endif()

#-----------------------------------------------------------------------------#

set(build_types Debug Release)
if(NOT CMAKE_BUILD_TYPE)
    message(STATUS "No build type set, options are: ${build_types}")
    set(CMAKE_BUILD_TYPE Release CACHE STRING "Options are: ${build_types}" FORCE)
    # Provide drop down menu options in cmake-gui
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS ${build_types})
endif()
message(STATUS "Building ${CMAKE_BUILD_TYPE} build")

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
  add_required_c_cxx_flag("-g")
  add_check_c_cxx_flag("-g3")
  add_check_c_cxx_flag("-ggdb")
  set_option(LOG ON)
  set_option(TESTING ON)
  set_option(TIME_STATS ON)
elseif(CMAKE_BUILD_TYPE STREQUAL "Release")
  add_check_c_cxx_flag("-O3")
  if(NOT CHECK)
    add_definitions("-DNDEBUG")
  endif()
  set_option(LOG OFF)
  set_option(TIME_STATS OFF)
endif()

#-----------------------------------------------------------------------------#

if(GCOV)
  include(CodeCoverage)
  APPEND_COVERAGE_COMPILER_FLAGS()
  setup_target_for_coverage_lcov(
    NAME coverage
    EXECUTABLE ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/test
    DEPENDENCIES boolector-bin)
endif()

if(GPROF)
  add_required_c_cxx_flag("-pg")
endif()

if(NOT LOG)
  add_definitions("-DNBTORLOG")
endif()

include(CheckSignals)
if(HAVE_SIGNALS)
  add_definitions("-DBTOR_HAVE_SIGNALS")
endif()

include(CheckTimeUtils)
if(NOT HAVE_TIME_UTILS)
  set(TIME_STATS OFF)
endif()

if(TIME_STATS)
  add_definitions("-DBTOR_TIME_STATISTICS")
endif()

include(CheckNoExportDynamic)

#-----------------------------------------------------------------------------#

if(ONLY_CADICAL)
  set(USE_CMS OFF)
  set(USE_LINGELING OFF)
  set(USE_MINISAT OFF)
  set(USE_PICOSAT OFF)
  set(USE_CADICAL ON)
elseif(ONLY_CMS)
  set(USE_CADICAL OFF)
  set(USE_LINGELING OFF)
  set(USE_MINISAT OFF)
  set(USE_PICOSAT OFF)
  set(USE_CMS ON)
elseif(ONLY_LINGELING)
  set(USE_CADICAL OFF)
  set(USE_CMS OFF)
  set(USE_MINISAT OFF)
  set(USE_PICOSAT OFF)
  set(USE_LINGELING ON)
elseif(ONLY_MINISAT)
  set(USE_CADICAL OFF)
  set(USE_CMS OFF)
  set(USE_LINGELING OFF)
  set(USE_PICOSAT OFF)
  set(USE_MINISAT ON)
elseif(ONLY_PICOSAT)
  set(USE_CADICAL OFF)
  set(USE_CMS OFF)
  set(USE_LINGELING OFF)
  set(USE_MINISAT OFF)
  set(USE_PICOSAT ON)
endif()

#-----------------------------------------------------------------------------#

find_package(Btor2Tools REQUIRED)

if(NOT IS_WINDOWS_BUILD)
  set(THREADS_PREFER_PTHREAD_FLAG ON)
  find_package(Threads)
  if(Threads_FOUND)
    set(LIBRARIES ${LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
    add_definitions("-DBTOR_HAVE_PTHREADS")
  endif()
endif()

if(USE_GMP)
  find_package(GMP)
  if(GMP_FOUND)
    add_definitions("-DBTOR_USE_GMP")
  endif()
endif()

if(USE_LINGELING)
  find_package(Lingeling)
endif()
if(USE_CADICAL)
  find_package(CaDiCaL)
endif()
if(USE_CMS)
  find_package(CryptoMiniSat)
endif()
if(USE_PICOSAT)
  find_package(PicoSAT)
endif()
if(USE_MINISAT)
  find_package(MiniSat)
endif()

if(NOT USE_LINGELING
   AND NOT USE_CADICAL
   AND NOT USE_CMS
   AND NOT USE_PICOSAT
   AND NOT USE_MINISAT)
  message(FATAL_ERROR "No SAT solver configured")
elseif(NOT Lingeling_FOUND
       AND NOT CaDiCaL_FOUND
       AND NOT CryptoMiniSat_FOUND
       AND NOT PicoSAT_FOUND
       AND NOT MiniSat_FOUND)
  message(FATAL_ERROR "No SAT solver found")
endif()

if(Lingeling_FOUND)
  if(NOT Lingeling_INCLUDE_DIR)
    message(FATAL_ERROR "Lingeling headers not found")
  else()
    add_definitions("-DBTOR_USE_LINGELING")
  endif()
endif()

if(CaDiCaL_FOUND)
  if(NOT CaDiCaL_INCLUDE_DIR)
    message(FATAL_ERROR "CaDiCaL headers not found")
  else()
    add_definitions("-DBTOR_USE_CADICAL")
  endif()
endif()

if(CryptoMiniSat_FOUND)
  if(NOT CryptoMiniSat_INCLUDE_DIR)
    message(FATAL_ERROR "CryptoMiniSat headers not found")
  else()
    add_definitions("-DBTOR_USE_CMS")
  endif()
endif()

if(PicoSAT_FOUND)
  if(NOT PicoSAT_INCLUDE_DIR)
    message(FATAL_ERROR "PicoSAT headers not found")
  else()
    add_definitions("-DBTOR_USE_PICOSAT")
  endif()
endif()

if(MiniSat_FOUND)
  if(NOT MiniSat_INCLUDE_DIR)
    message(FATAL_ERROR "MiniSAT headers not found")
  else()
    add_definitions("-DBTOR_USE_MINISAT")
  endif()
endif()

#-----------------------------------------------------------------------------#
# Extract info from Git for btorconfig.h

find_package(Git)

set(GIT_DIRTY "")
set(GIT_SHA1 "")
set(GIT_BRANCH "")

if(GIT_FOUND)
  # Get current git branch, result is != 0 if this is not a git repository
  execute_process(
    COMMAND ${GIT_EXECUTABLE} -C ${PROJECT_SOURCE_DIR} rev-parse --abbrev-ref HEAD
    RESULT_VARIABLE GIT_RESULT
    OUTPUT_VARIABLE GIT_BRANCH
    OUTPUT_STRIP_TRAILING_WHITESPACE
    ERROR_QUIET
  )
  if("${GIT_RESULT}" STREQUAL "0")
    set(GIT_BRANCH "${GIT_BRANCH}-")
    # Extract sha1 of HEAD
    execute_process(
      COMMAND ${GIT_EXECUTABLE} -C ${PROJECT_SOURCE_DIR} rev-parse HEAD
      OUTPUT_VARIABLE GIT_SHA1
      OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    # Result is != 0 if worktree is dirty

=== test/CMakeLists.txt ===
# Boolector: Satisfiablity Modulo Theories (SMT) solver.
#
# Copyright (C) 2007-2021 by the authors listed in the AUTHORS file.
#
# This file is part of Boolector.
# See COPYING for more information on using this software.
#

find_package(GoogleTest REQUIRED)

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin/tests)

set(test_names
  aig
  aigvec
  arithmetic
  boolectornodemap
  bv
  comp
  exp
  hash
  inc
  inthash
  inthashmap
  lambda
  logic
  mc
  mem
  misc
  modelgen
  modelgensmt2
  nodemap
  normquant
  overflow
  parseerror
  prop
  propinv
  rotate
  queue
  satmgr
  shift
  smtaxioms
  sort
  stack
  unionfind
  util
)

foreach(test ${test_names})
  add_executable (test${test} test_${test}.cpp)
  target_include_directories(test${test} PRIVATE ${PROJECT_SOURCE_DIR}/test/new_test)
  target_link_libraries(test${test} boolector m)
  target_link_libraries(test${test} GTest::gtest_main)
  set_target_properties(test${test} PROPERTIES OUTPUT_NAME test${test} CXX_STANDARD 14)
  add_test(${test} ${CMAKE_BINARY_DIR}/bin/tests/test${test})
endforeach()

set(sat_testcases
"arraycond1.btor"
"arraycond10.btor"
"arraycond15.btor"
"arraycond16.btor"
"arraycond17.btor"
"arraycond2.btor"
"arraycond4.btor"
"const1.btor"
"constarray.smt2"
"ext1.btor"
"ext12.btor"
"ext14.btor"
"ext17.btor"
"ext20.btor"
"ext3.btor"
"ext4.btor"
"ext6.btor"
"ext8.btor"
"extarraywrite3sat.smt2"
"factor18446744073709551617const.btor"
"factor18446744073709551617xconst.btor"
"factor18446744073709551617yconst.btor"
"factor2209.btor"
"factor4294967295.btor"
"factor4294967297.btor"
"fifo32ia04k05.smt2"
"fifo32in04k05.smt2"
"invalidmodel1.smt2"
"invalidmodel2.smt2 -xl=0 -ml=0 -rwl=2"
"invalidmodel3.btor"
"issue96.smt2"
"lazyreadwritebug1.btor"
"lambda1.btor"
"lin0.btor"
"lin1.btor"
"lin2.btor"
"lin3.btor"
"lin4.btor"
"nestedfun1.smt2 -rwl 2"
"normaddneg0.btor"
"normaddneg1.btor"
"proxybug.btor"
"random1.btor"
"random1.btor2"
"random2.btor"
"random3.btor"
"random4.btor"
"read12.btor"
"read13.btor"
"read14.btor"
"read15.btor"
"read18.btor"
"read3.btor"
"redand3twice.btor"
"redor3.btor"
"regr3vl1.btor -rwl 0"
"regr3vl1.btor -rwl 1"
"regr3vl1.btor -rwl 2"
"regr3vl1.btor -rwl 3"
"regr3vl2.btor -rwl 0"
"regr3vl2.btor -rwl 1"
"regr3vl2.btor -rwl 2"
"regr3vl2.btor -rwl 3"
"regr3vl3.btor -rwl 0"
"regr3vl3.btor -rwl 1"
"regr3vl3.btor -rwl 2"
"regr3vl3.btor -rwl 3"
"regr3vl4.btor -rwl 0"
"regr3vl4.btor -rwl 1"
"regr3vl4.btor -rwl 2"
"regr3vl4.btor -rwl 3"
"regrbetacache1.btor -br all"
# currently broken since we don't allow to mix lambdas with arrays
#"regrbetacache2.btor -br all"
"regrbfs1.btor -rwl 0"
"regrbfs1.btor -rwl 1"
"regrbfs1.btor -rwl 2"
"regrbfs1.btor -rwl 3"
"regrcollectprem.btor"
"regrdomabst1.btor"
"regrdomabst2.btor"
"regrdomabst3.btor"
"regrdomabst4.btor"
"regrembeddedconstraint10.btor -rwl 0"
"regrembeddedconstraint10.btor -rwl 1"
"regrembeddedconstraint10.btor -rwl 2"
"regrembeddedconstraint10.btor -rwl 3"
"regrembeddedconstraint11.btor -rwl 0"
"regrembeddedconstraint11.btor -rwl 1"
"regrembeddedconstraint11.btor -rwl 2"
"regrembeddedconstraint11.btor -rwl 3"
"regrembeddedconstraint3.btor -rwl 0"
"regrembeddedconstraint3.btor -rwl 1"
"regrembeddedconstraint3.btor -rwl 2"
"regrembeddedconstraint3.btor -rwl 3"
"regrembeddedconstraint5.btor -rwl 0"
"regrembeddedconstraint5.btor -rwl 1"
"regrembeddedconstraint5.btor -rwl 2"
"regrembeddedconstraint5.btor -rwl 3"
"regrembeddedconstraint6.btor -rwl 0"
"regrembeddedconstraint6.btor -rwl 1"
"regrembeddedconstraint6.btor -rwl 2"
"regrembeddedconstraint6.btor -rwl 3"
"regrembeddedconstraint7.btor -rwl 0"
"regrembeddedconstraint7.btor -rwl 1"
"regrembeddedconstraint7.btor -rwl 2"
"regrembeddedconstraint7.btor -rwl 3"
"regrembeddedconstraint8.btor -rwl 0"
"regrembeddedconstraint8.btor -rwl 1"
"regrembeddedconstraint8.btor -rwl 2"
"regrembeddedconstraint8.btor -rwl 3"
"regrembeddedconstraint9.btor -rwl 0"
"regrembeddedconstraint9.btor -rwl 1"
"regrembeddedconstraint9.btor -rwl 2"
"regrembeddedconstraint9.btor -rwl 3"
"regrencparamapps.smt2"
"regrlemmaloop_embeddedconstraints.btor -rwl 1"
"regrmark1.btor -rwl 0"
"regrmark1.btor -rwl 1"
"regrmark1.btor -rwl 2"
"regrmark1.btor -rwl 3"
"regrmodel1.btor"
"regrmodel3.btor"
"regrmodel4.btor"
"regpicoprepsqrt4.btor"
"regprim11simp.btor"
"regrrwbinexpconcatzeroconst.btor"
"regrw8simp.btor"
"rol_same_bw.btor"
"ror_same_bw.btor"
"rw113.btor -rwl 0"
"rw1.btor"
"rw10.btor"
"rw11.btor"
"rw12.btor"
"rw13.btor"
"rw14.btor"
"rw15.btor"
"rw2.btor"
"rw3.btor"
"rw4.btor"
"rw5.btor"
"rw6.btor"
"rw7.btor"
"rw8.btor"
"rw9.btor"
"rw113.btor -rwl 1"
"rw114.btor -rwl 0"
"rw114.btor -rwl 1"
"rw121.btor -rwl 0"
"rw121.btor -rwl 1"
"rw122.btor -rwl 0"
"rw122.btor -rwl 1"
"rw132.btor -rwl 0"
"rw132.btor -rwl 1"
"rw133.btor -rwl 0"
"rw133.btor -rwl 1"
"rw134.btor -rwl 0"
"rw134.btor -rwl 3"
"rw135.btor -rwl 0"
"rw135.btor -rwl 3"
"rw137.btor -rwl 0"
"rw137.btor -rwl 3"
"rw138.btor -rwl 0"
"rw138.btor -rwl 3"
"rw139.btor -rwl 0"
"rw139.btor -rwl 3"
"rw140.btor -rwl 0"
"rw140.btor -rwl 3"
"rw141.btor -rwl 0"
"rw141.btor -rwl 3"
"rw142.btor -rwl 0"
"rw142.btor -rwl 3"
"rw143.btor -rwl 0"
"rw143.btor -rwl 3"
"rw148.btor -rwl 0"
"rw148.btor -rwl 3"
"rw153.btor -rwl 0"
"rw153.btor -rwl 3"
"rw157.btor"
"rw16.btor -rwl 0"
"rw16.btor -rwl 1"
"rw166.btor -rwl 1"
"rw167.btor -rwl 1"
"rw168.btor -rwl 1"
"rw169.btor -rwl 1"
"rw17.btor -rwl 0"
"rw17.btor -rwl 1"
"rw178.btor -rwl 3"
"rw179.btor -rwl 3"
"rw18.btor -rwl 0"
"rw18.btor -rwl 1"
"rw212.smt2 -rwl 3"
"rw216.smt2 -rwl 3"
"rw44.btor -rwl 0"
"rw44.btor -rwl 1"
"rw45.btor -rwl 0"
"rw45.btor -rwl 1"
"rw58.btor -rwl 0"
"rw58.btor -rwl 3"
"rw59.btor -rwl 0"
"rw59.btor -rwl 3"
"rwpropindexpluszero1.btor"
"rwpropindexpluszero1.btor -rwl 0"
"rwpropindexpluszero2.btor"
"rwpropindexpluszero2.btor -rwl 0"
"rwpropindexpluszero3.btor"
"rwpropindexpluszero3.btor -rwl 0"
"rwpropindexpluszero4.btor"
"rwpropindexpluszero4.btor -rwl 0"
"rwpropindexpluszero5.btor"
"rwpropindexpluszero5.btor -rwl 0"
"rwpropindexpluszero6.btor"
"rwpropindexpluszero6.btor -rwl 0"
"rwpropindexpluszero7.btor"
"rwpropindexpluszero7.btor -rwl 0"
"rwpropindexpluszero8.btor"
"rwpropindexpluszero8.btor -rwl 0"
"rwr1.btor -rwl 3 -br all"
"rww1.btor -rwl 3"
"sc12fuzzcheck2.smt2"
"slicesubst1.btor -rwl 0"
"slicesubst1.btor -rwl 2"
"sll_same_bw.btor"
"smt2pushpop0.smt2 -i"
"smtashr1.smt2"
"smtashr2.smt2"
"smtashr3.smt2"
"smtextarray1sat0.smt2"
"smtextarray1sat1.smt2"
"smtextarray2sat0.smt2"
"smtextarray2sat1.smt2"
"smtextarray2sat2.smt2"
"smtextarray2sat3.smt2"
"smtextarray3sat0.smt2"
"smtextarray3sat1.smt2"
"smtextarray3sat2.smt2"
"smtextarray3sat3.smt2"
"smtextarray3sat4.smt2"
"smtextarray3sat5.smt2"
"smtextarray3sat6.smt2"
"smtextarray3sat7.smt2"
"smtlshr1.smt2"
"smtlshr2.smt2"
"smtlshr3.smt2"
"smtrepeat.smt2"
"smtrotate.smt2"
"smtshl1.smt2"
"smtshl2.smt2"
"smtshl3.smt2"
"smtsignextend.smt2"
"smttrue.smt2"
"smtzeroextend.smt2"
"sqrt25.btor"
"sqrt4.btor"
"sqrt4295098369.btor"
"sqrt49.btor"
"sqrt9.btor"
"srl_same_bw.btor"
"substcyclic1.btor"
"substitute1.btor"
"substitute3.btor"
"substitute4.btor"
"substitute40.btor"
"substitute5.btor"
"swapmem002se.smt2"
"ultsubst1.btor -rwl 0"
"ultsubst1.btor -rwl 2"
"ultsubst2.btor -rwl 0"
"ultsubst2.btor -rwl 2"
"ultsubst3.btor -rwl 0"
"ultsubst3.btor -rwl 2"
"ultsubst4.btor -rwl 0"
"ultsubst4.btor -rwl 2"
"ultsubst5.btor -rwl 0"
"ultsubst5.btor -rwl 2"
"ultsubst6.btor -rwl 0"
"ultsubst6.btor -rwl 2"
"ultsubst7.btor -rwl 0"
"ultsubst7.btor -rwl 2"
"ultsubst8.btor -rwl 0"
"ultsubst8.btor -rwl 2"
"ultsubst9.btor -rwl 0"
"ultsubst9.btor -rwl 2"
"upprop1.btor"
"var1.btor"
"var2.btor"
"write11.btor"
"write12.btor"
"write15.btor"
"write18.btor"
"write19.btor"
"write20.btor"
"write5.btor"
"wchains002se.smt2"
)

set(unsat_testcases
"3vl1.btor -rwl 0"
"3vl1.btor -rwl 2"
"3vl2.btor -rwl 0"
"3vl2.btor -rwl 2"
"3vl3.btor -rwl 0"
"3vl3.btor -rwl 2"
"3vl4.btor -rwl 0"
"3vl4.btor -rwl 2"
"3vl5.btor -rwl 0"
"3vl5.btor -rwl 2"
"3vl6.btor -rwl 0"
"3vl6.btor -rwl 2"
"addnegmul1.btor"
"andopt1.btor"
"andopt10.btor"
"andopt11.btor"
"andopt12.btor"
"andopt13.btor"
"andopt14.btor"
"andopt15.btor"
"andopt16.btor"
"andopt17.btor"
"andopt2.btor"
"andopt3.btor"
"andopt4.btor"
"andopt5.btor"
"andopt6.btor"
"andopt7.btor"
"andopt8.btor"
"andopt9.btor"
"arraycond11.btor"
"arraycond12.btor"
"arraycond13.btor"
"arraycond14.btor"
"arraycond18.btor"
"arraycond3.btor"
"arraycond5.btor"
"arraycond6.btor"
"arraycond7.btor"
"arraycond8.btor"
"arraycond9.btor"
"arraycondconst.btor -rwl 0"
"arraycondconstaig.btor -rwl 0"
"binarysearch32s016.smt2"
"bubsort002un.smt2"
"const2.btor"
"countbits016.smt2"
"dec_rwl3.btor"
"dec_rwl0.btor -rwl 0"
"distri1.btor"
"distri2.btor"
"distri3.btor"
"distri4.btor"
"distri5.btor"
"distri6.btor"
"distri7.btor"
"distri8.btor"
"dubreva002ue.smt2"
"exactlyone.btor"
"ext10.btor"
"ext11.btor"
"ext13.btor"
"ext15.btor"
"ext16.btor"
"ext18.btor"
"ext19.btor"
"ext2.btor"
"ext21.btor"
"ext22.btor"
"ext23.btor"
"ext24.btor"
"ext25.btor"
"ext26.btor"
"ext27.btor"
"ext28.btor"
"ext29.btor"
"ext5.btor"
"ext7.btor"
"ext9.btor"
"extarraywrite1.btor"
"extarraywrite2.btor"
"extarraywrite3.smt2"
"fifo32bc04k05.smt2"
"gtewithsub.btor"
"hd1.btor -rwl 0"
"hd1.btor -rwl 1"
"hd10.btor -rwl 0"
"hd10.btor -rwl 1"
"hd11.btor -rwl 0"
"hd11.btor -rwl 1"
"hd12.btor -rwl 0"
"hd12.btor -rwl 1"
"hd13.btor -rwl 0"
"hd13.btor -rwl 1"
"hd14.btor -rwl 0"
"hd14.btor -rwl 1"
"hd15.btor -rwl 0"
"hd15.btor -rwl 1"
"hd16.btor -rwl 0"
"hd16.btor -rwl 1"
"hd17.btor -rwl 0"
"hd17.btor -rwl 1"
"hd18.btor -rwl 0"
"hd18.btor -rwl 1"
"hd19.btor"
"hd2.btor -rwl 0"
"hd2.btor -rwl 1"
"hd20.btor"
"hd21.btor"
"hd3.btor -rwl 0"
"hd3.btor -rwl 1"
"hd4.btor -rwl 0"
"hd4.btor -rwl 1"
"hd5.btor -rwl 0"
"hd5.btor -rwl 1"
"hd6.btor -rwl 0"
"hd6.btor -rwl 1"
"hd7.btor -rwl 0"
"hd7.btor -rwl 1"
"hd8.btor -rwl 0"
"hd8.btor -rwl 1"
"hd9.btor -rwl 0"
"hd9.btor -rwl 1"
"inc.btor"
"inc.btor -rwl 0"
"issue97.smt2"
"lambda2.btor"
"memcpy02.smt2"
"mulassoc4.smt2"
"mulassoc5.smt2"
"mulassoc6.smt2"
"nextpoweroftwo016.smt2"
"normaddneg2.btor"
"normaddneg3.btor"
"prim8bugreduced.btor"
"problem_130.smt2"
"random5.btor -rwl 0"
"random5.btor -rwl 1"
"read1.btor"
"read10.btor"
"read11.btor"
"read16.btor"
"read17.btor"
"read19.btor"
"read2.btor"
"read20.btor"
"read21.btor"
"read22.btor"
"read4.btor"
"read5.btor"
"read6.btor"
"read7.btor"
"read8.btor"
"read9.btor"
"regr-distinct.smt2"
"regrcalypto1.smt2"
"regrcalypto2.smt2"
"regrcalypto3.smt2"
"regrembeddedconstraint1.btor -rwl 0"
"regrembeddedconstraint1.btor -rwl 1"
"regrembeddedconstraint1.btor -rwl 2"
"regrembeddedconstraint1.btor -rwl 3"
"regrembeddedconstraint12.btor -rwl 0"
"regrembeddedconstraint12.btor -rwl 1"
"regrembeddedconstraint12.btor -rwl 2"
"regrembeddedconstraint12.btor -rwl 3"
"regrembeddedconstraint13.btor -rwl 0"
"regrembeddedconstraint13.btor -rwl 1"
"regrembeddedconstraint13.btor -rwl 2"
"regrembeddedconstraint13.btor -rwl 3"
"regrembeddedconstraint14.btor -rwl 0"
"regrembeddedconstraint14.btor -rwl 1"
"regrembeddedconstraint14.btor -rwl 2"
"regrembeddedconstraint14.btor -rwl 3"
"regrembeddedconstraint2.btor -rwl 0"
"regrembeddedconstraint2.btor -rwl 1"
"regrembeddedconstraint2.btor -rwl 2"
"regrembeddedconstraint2.btor -rwl 3"
"regrembeddedconstraint4.btor -rwl 0"
"regrembeddedconstraint4.btor -rwl 1"
"regrembeddedconstraint4.btor -rwl 2"
"regrembeddedconstraint4.btor -rwl 3"
"regrexpleak1.btor -rwl 0"
"regrexpleak1.btor -rwl 1"
"regrexpleak1.btor -rwl 2"
"regrexpleak1.btor -rwl 3"
"regrexpleak2.btor -rwl 0"
"regrexpleak2.btor -rwl 1"
"regrexpleak2.btor -rwl 2"
"regrexpleak2.btor -rwl 3"
"regrnormquant.smt2"
"regrmark2.btor -rwl 0"
"regrmark2.btor -rwl 1"
"regrmark2.btor -rwl 2"
"regrmark2.btor -rwl 3"
"regrmark3.btor -rwl 0"
"regrmark3.btor -rwl 1"
"regrmark3.btor -rwl 2"
"regrmark3.btor -rwl 3"
"regrmodel2.btor"
"regrpointerchasing1.btor"
"regsmod1.smt2"
"regsmtparselet.smt2"
"regsubslapd149921red.btor"
"rw100.btor -rwl 0"
"rw100.btor -rwl 1"
"rw101.btor -rwl 0"
"rw101.btor -rwl 1"
"rw102.btor -rwl 0"

=== debian/changelog ===
boolector (3.2.4-1) unstable; urgency=medium

  * New upstream version
    Closes: #922877, #1043884
  * Maintain package in Debian Science team
    Closes: #1111926
  * Update Homepage
  * Fix watch file, version=5
  * debhelper-compat 13 (routine-update)
  * Remove old boilerplate from debian/rules (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * d/rules: Switch to short dh
    Closes: #1119363
  * d/copyright: DEP5
  * Make sure package builds with CMake 4
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Prevent static linking

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jan 2026 15:17:25 +0100

boolector (1.5.118.6b56be4.121013-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * mkconfig: Do not embed architecture of running kernel.
    (Closes: #1023886)

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 11 Nov 2022 20:56:12 -0800

boolector (1.5.118.6b56be4.121013-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * Do not embed kernel version and hostname. Use SOURCE_DATE_EPOCH for
    timestamp.  (Closes: #8311031)

  [ Vagrant Cascadian ]
  * debian/rules: Use C.UTF-8 locale for building to ensure reproducible builds.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 10 Nov 2022 13:35:53 -0800

boolector (1.5.118.6b56be4.121013-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965441)
  * debian/rules: Add build-{arch,indep}. (Closes: #999261)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Dec 2021 21:53:28 +0200

=== debian/control ===
Source: boolector
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael Tautschnig <mt@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Build-Depends: debhelper-compat (= 13),
               cmake,
               libbtor2parser-dev,
               minisat,
               zlib1g-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/science-team/boolector
Vcs-Git: https://salsa.debian.org/science-team/boolector.git
Homepage: https://boolector.github.io/

Package: boolector
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: SMT solver for bit-vectors and arrays
 Boolector is an efficient SMT solver for the quantifier-free theory of
 bit-vectors in combination with the quantifier-free extensional theory of
 arrays.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LC_ALL=C.UTF-8

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5 -DBUILD_SHARED_LIBS=ON

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
Version: 5

Template: Github
Owner: Boolector
Project: boolector
